Skip to main content
GET
/
platform
/
recovery-point
/
{recoveryPointId}
Fetch recovery point
curl --request GET \
  --url https://api.rootkey.ai/api-v1/platform/recovery-point/{recoveryPointId} \
  --header 'x-api-key: <api-key>'
{
  "recoveryPoint": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "vaults": [
      "<string>"
    ],
    "timeRange": {
      "start": "2023-11-07T05:31:56Z",
      "end": "2023-11-07T05:31:56Z"
    },
    "status": "<string>",
    "integrity": 123,
    "numberOfFiles": 123,
    "progress": 123,
    "size": 123,
    "hash": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

ROOTKey API key (rk_live_... for production, rk_test_... for the test network).

Path Parameters

recoveryPointId
string<uuid>
required

Response

Recovery point

recoveryPoint
object